> ## Documentation Index
> Fetch the complete documentation index at: https://docs.causeloop.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Job

> Poll the status of an async AI job.



## OpenAPI

````yaml /openapi.json get /v1/ai/jobs/{job_id}
openapi: 3.1.0
info:
  description: Causeloop Platform Backend
  title: Causeloop API
  version: 1.0.0
servers: []
security: []
paths:
  /v1/ai/jobs/{job_id}:
    get:
      tags:
        - ai
      summary: Get Job
      description: Poll the status of an async AI job.
      operationId: get_job_v1_ai_jobs__job_id__get
      parameters:
        - in: path
          name: job_id
          required: true
          schema:
            title: Job Id
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JobStatusResponse'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    JobStatusResponse:
      properties:
        created_at:
          title: Created At
          type: string
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
        finished_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Finished At
        job_id:
          title: Job Id
          type: string
        progress:
          title: Progress
          type: number
        result:
          anyOf:
            - {}
            - type: 'null'
          title: Result
        status:
          title: Status
          type: string
      required:
        - job_id
        - status
        - progress
        - created_at
      title: JobStatusResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````